ViewerBase File Reference
`#include <osg/Stats>`
`#include <osgUtil/UpdateVisitor>`
`#include <osgUtil/IncrementalCompileOperation>`
`#include <osgGA/EventVisitor>`
`#include <osgGA/EventQueue>`
`#include <osgViewer/Scene>`
`#include <osgViewer/GraphicsWindow>`

Go to the source code of this file.

## Classes

class | osgViewer::ViewerBase

## Namespaces

namespace | osgViewer

## Macros

#define | OSGVIEWER_VIEWERBASE 1
#define | USE_REFERENCE_TIME DBL_MAX

## Macro Definition Documentation

## OSGVIEWER_VIEWERBASE

#define OSGVIEWER_VIEWERBASE 1

## USE_REFERENCE_TIME

#define USE_REFERENCE_TIME DBL_MAX

Referenced by osgViewer::CompositeViewer::advance(), osgViewer::Viewer::advance(), osgViewer::ViewerBase::advance(), and osgViewer::ViewerBase::frame().